## net.i2p.internal
Class PoisonI2CPMessage

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.i2cp.I2CPMessageImpl
              net.i2p.internal.PoisonI2CPMessage

All Implemented Interfaces:
  DataStructure, I2CPMessage

    public class PoisonI2CPMessage

extends I2CPMessageImpl

For marking end-of-queues in a standard manner. Don't actually send it.

Since:
  0.8.3
Author:
  zzz

Field Summary
`static int` `MESSAGE_TYPE`

Constructor Summary
`PoisonI2CPMessage()`

Method Summary
`protected void` `doReadMessage(InputStream in, int size)` Deprecated. don't do this
`protected byte[]` `doWriteMessage()` Deprecated. don't do this
`boolean` `equals(Object object)`
`int` `getType()` Return the unique identifier for this type of APIMessage, as specified in the network specification document under #ClientAccessLayerMessages
`int` `hashCode()`
`String` `toString()`

Methods inherited from class net.i2p.data.i2cp.I2CPMessageImpl
`readBytes, readMessage, readMessage, writeBytes, writeMessage`

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.i2p.data.DataStructure
`calculateHash, fromBase64, fromByteArray, toBase64, toByteArray`

Field Detail

### MESSAGE_TYPE

    public static final int MESSAGE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PoisonI2CPMessage

    public PoisonI2CPMessage()

Method Detail

### doReadMessage

    protected void doReadMessage(InputStream in,
                                 int size)
                          throws I2CPMessageException

  Deprecated. don't do this

  Description copied from class: `I2CPMessageImpl`
  Read in the payload part of the message (after the initial 4 byte size and 1 byte type)

  Specified by:
    `doReadMessage` in class `I2CPMessageImpl`
  Parameters:
    `in` - InputStream
    `size` - payload size
  Throws:
    `I2CPMessageException` - always

### doWriteMessage

    protected byte[] doWriteMessage()
                             throws I2CPMessageException

  Deprecated. don't do this

  Description copied from class: `I2CPMessageImpl`
  Write out the payload part of the message (not including the 4 byte size and 1 byte type)

  Specified by:
    `doWriteMessage` in class `I2CPMessageImpl`
  Returns:
    byte array
  Throws:
    `I2CPMessageException` - always

### getType

    public int getType()

  Description copied from interface: `I2CPMessage`
  Return the unique identifier for this type of APIMessage, as specified in the network specification document under #ClientAccessLayerMessages

  Returns:
    unique identifier for this type of APIMessage

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`